from django.shortcuts import render
from dynamic_preferences.registries import global_preferences_registry


def event_state(view):
    global_preferences = global_preferences_registry.manager()

    def wrapped(request, *args, **kwargs):
        state = global_preferences["helper__event_state"]
        if state == "RUNNING":
            return view(request, *args, **kwargs)
        if state == "BEFORE":
            return render(
                request,
                "event_before.html",
                {
                    "enable_registration": global_preferences[
                        "helper__enable_registration"
                    ]
                },
            )
        return render(request, "event_after.html", {})

    return wrapped
