from django.contrib import admin

from .models import Feedback, ShareToken


@admin.register(Feedback)
class FeedbackAdmin(admin.ModelAdmin):
    list_display = ("helper", "party", "next_year", "feedback_len")
    readonly_fields = ("helper", "party", "next_year", "feedback_text", "feedback_len")
    list_filter = ("party", "next_year")
    ordering = ("helper__name",)

    def feedback_len(self, obj):
        return len(obj.feedback_text)


@admin.register(ShareToken)
class ShareTokenAdmin(admin.ModelAdmin):
    list_display = ("name", "url")
    ordering = ("name",)
    readonly_fields = ("token", "url")

    def url(self, obj):
        return f"https://helfen.kntkt.de/feedback/{obj.token}"
