from django import forms
from django.forms import ModelForm

from .models import Feedback


class FeedbackForm(ModelForm):
    class Meta:
        model = Feedback
        fields = ("party", "next_year", "feedback_text")
        labels = {
            "party": "Kommst du zum Helfer*innen-Fest?",
            "feedback_text": "Wie war's?",
            "next_year": "Dürfen wir dich nächstes Jahr wieder kontaktieren?",
        }
        help_texts = {
            "feedback_text": "Was hat dir gefallen? Was hat geklappt? Was können wir nächstes Jahr besser machen?",
            "next_year": "Hiermit bestätigst du, dass wir deinen Namen und deine Telefonnummer für bis zu ein Jahr nach Abgabe deiner Einwilligung speichern dürfen.",
        }
        widgets = {
            "feedback_text": forms.Textarea(attrs={"class": "textarea"}),
            "party": forms.RadioSelect,
        }
