from django.dispatch import receiver
from django.shortcuts import reverse
from dynamic_preferences.registries import global_preferences_registry

from shiftregister.core.signals import populate_nav

global_preferences = global_preferences_registry.manager()


@receiver(populate_nav, dispatch_uid="populate_feedback_nav")
def populate_feedback_nav(sender, **kwargs):
    request = sender
    nav_items = []

    if (
        global_preferences["helper__event_state"] == "AFTER"
        and request.user.is_authenticated
    ):
        nav_items.append({"link": reverse("submissions"), "text": "Feedback"})

    return nav_items
