from django.contrib import messages
from django.contrib.auth.decorators import login_required
from django.shortcuts import get_object_or_404, render

from shiftregister.app.models import LoginToken

from .forms import FeedbackForm
from .models import Feedback, ShareToken


def feedback(request, token):
    tk = get_object_or_404(LoginToken, pk=token)
    request.session["token"] = token

    helper = tk.helper
    request.helper = helper

    form = FeedbackForm()
    prev_data = Feedback.objects.filter(helper=helper).first()
    if prev_data:
        form = FeedbackForm(instance=prev_data)
    if request.method == "POST":
        form = FeedbackForm(request.POST)
        if form.is_valid():
            obj = form.save(commit=False)
            obj.helper = helper
            obj.save()
            messages.add_message(
                request,
                messages.SUCCESS,
                "Deine Angaben wurden gespeichert.",
            )

    return render(request, "feedback.html", {"form": form})


@login_required
def feedback_submissions(request):
    submissions = Feedback.objects.exclude(feedback_text="")
    return render(request, "submissions.html", {"submissions": submissions})


def feedback_submissions_shared(request, token):
    token = get_object_or_404(ShareToken, pk=token)

    submissions = Feedback.objects.exclude(feedback_text="")
    return render(request, "submissions.html", {"submissions": submissions})
