from django.db import models

# Create your models here.


class Page(models.Model):
    REDIRECT = "redirect"
    REGULAR = "regular"
    KIND_CHOICES = [
        (REDIRECT, "Redirect"),
        (REGULAR, "Regular page"),
    ]

    url = models.fields.SlugField(unique=True)
    content = models.TextField()
    visible = models.BooleanField(default=True)
    title = models.CharField(blank=True, max_length=200)
    kind = models.CharField(choices=KIND_CHOICES, default=REGULAR, max_length=8)
    show_in_footer_nav = models.BooleanField(default=True)
    show_in_main_nav = models.BooleanField(default=False)

    def __str__(self):
        return (
            f"{self.get_kind_display()} {self.url}" + f" => {self.content}"
            if self.kind == Page.REDIRECT
            else ""
        )
