from django.dispatch import receiver
from django.urls import reverse

from shiftregister.core.signals import populate_footer_nav, populate_nav

from .models import Page


@receiver(populate_footer_nav, dispatch_uid="populate_pages_footer_nav")
def populate_pages_footer_nav(sender, **kwargs):
    return [
        {
            "link": reverse("pages:view", args=(page.url,)),
            "text": page.title or page.url,
        }
        for page in Page.objects.filter(visible=True)
        if page.visible and page.show_in_footer_nav
    ]


@receiver(populate_nav, dispatch_uid="populate_pages_nav")
def populate_pages_nav(sender, **kwargs):
    return [
        {
            "link": reverse("pages:view", args=(page.url,)),
            "text": page.title or page.url,
        }
        for page in Page.objects.filter(visible=True)
        if page.visible and page.show_in_main_nav
    ]
