from django import template
from django.utils.safestring import mark_safe
from qrcode import make
from qrcode.image.svg import SvgPathFillImage

register = template.Library()


@register.simple_tag
def qrcode(data):
    return mark_safe(
        make(data, image_factory=SvgPathFillImage).to_string().decode("utf-8")
    )
