from django.urls import path

from . import views

app_name = "team"
urlpatterns = [
    path("", views.index, name="index"),
    path("overview/", views.shift_overview, name="shift_overview"),
    path("shifts/", views.ShiftList.as_view(), name="shift_all"),
    path("room_shifts/<path:pk>", views.RoomShiftList.as_view(), name="shift_room"),
    path("free_shifts/", views.FreeShiftList.as_view(), name="shift_free"),
    path("shift/<int:pk>", views.shift_detail, name="shift"),
    path("helper/<int:pk>", views.HelperDetail.as_view(), name="helper"),
    path("message/", views.bulk_message, name="bulk_message"),
    path("checkins/", views.CheckinList.as_view(), name="checkins"),
    path("checkin/<int:pk>", views.checkin, name="checkin"),
    path("mark_as_failed/<int:pk>", views.mark_as_failed, name="mark_as_failed"),
    path("remove_helper/<int:pk>", views.delete_shiftregistration, name="unregister"),
    path("incoming/", views.IncomingMessagesList.as_view(), name="incoming_messages"),
    path("incoming/<slug:pk>", views.incoming_message, name="incoming_message"),
    path("incoming/mark_as_read/<slug:pk>", views.mark_as_read, name="mark_as_read"),
    path("list/<slug:token>", views.room_view_token, name="room_view_token"),
]
